> For the complete documentation index, see [llms.txt](https://docs.mapakalamidad.ph/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapakalamidad.ph/routes/reportsarchive.md).

# Ulat/Archive

Archive ng mga ulat sa baha (tingnan ang Mga dokumentasyon ng [Reports endpoint](/routes/reports.md)), na ipinakita bilang isang JSON kasama ang lahat ng mga ulat sa pagbaha na natanggap sa loob ng tinukoy na tagal ng panahon.

Sa kasalukuyan ang mga datos na ito ay magagamit lamang para sa Quezon City at Pamapanga.

## Format ng Kahilingan

| Query Parameter | Paglalarawan                                                                                                                                                                       | Format                                              | Required |
| --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------- | -------- |
| start           | Oras ng pagsisimula para sa panahon ng archive                                                                                                                                     | String in ISO 8601 format (YYYY-MM-DDTHH:mm:ss+ZZZZ | Yes      |
| end             | Pagtatapos ng oras para sa panahon ng archive                                                                                                                                      | String in ISO 8601 format (YYYY-MM-DDTHH:mm:ss+ZZZZ | Yes      |
| admin           | Aling lungsod ang nais nating ibalik ang mga imprastraktura? (isa sa [supported areas](https://github.com/petabencana/mapakalamidad-docs/blob/tagalog/general/supported-area.md) ) | String                                              | No       |
| geoformat       | Anong format ang dapat gamitin ang mga resulta sa heyograpiya? (isa sa `topojson`, `geojson` defaults to `topojson`)                                                               | String                                              | No       |

Tandaan na ang time zone ay dapat na tinukoy bilang +/- Ang offset ng UTC na mangangailangan ng pag-encode ng character na HTML (hal. +0700 nagiging% 2B0700).

## Kumuha/reports/archive

Note : Please include a User-Agent header in all of your requests. The User-Agent header helps us identify your requests and troubleshoot any issues you may have. To set the User-Agent header, add the following line to your request headers:

Ilista ang mga ulat sa pagbaha sa Quezon City at Pampanga na natanggap sa loob ng tinukoy na window ng oras:

```
curl --user-agent "YOUR-UA-STRING" "https://api.mapakalamidad.ph/reports/archive?start=2017-12-04T00%3A00%3A00%2B0700&end=2017-12-06T05%3A00%3A00%2B0700&geoformat=geojson"
```

Ang mga resulta ay ang mga sumusunod:

```javascript
{
    "statusCode": 200,
    "result": {
        "type": "FeatureCollection",
        "features": [
            {
                "type": "Feature",
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        106.815842,
                        -6.183179
                    ]
                },
                "properties": {
                    "pkey": "0001",
                    "created_at": "2017-12-04T09:51:00.000Z",
                    "source": "qlue",
                    "status": "confirmed",
                    "url": null,
                    "image_url": null,
                    "disaster_type": "flood",
                    "report_data": null,
                    "tags": {
                        "instance_region_code": "jbd",
                        "local_area_id": "782"
                    },
                    "title": " ",
                    "text": "#flood report"
                }
            }
          ]
        }
      }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mapakalamidad.ph/routes/reportsarchive.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
